Skip to content

evaluateCloseChecklist

WRITE

Evaluate close checklist.

POST /api/v1/accounting/evaluateCloseChecklist
curl -X POST '<your-host>/api/v1/accounting/evaluateCloseChecklist' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "tasks": [],
    "checks": [],
    "closeStatus": "Open"
  }'
Response
{
  "tasks": [
    {
      "id": "string",
      "companyId": "string",
      "accountingPeriodId": "string",
      "definitionId": "string",
      "name": "string",
      "taskType": "Manual",
      "autoCheckKey": "string",
      "sortOrder": 0,
      "required": true,
      "severity": "Warning",
      "status": "Open",
      "assigneeId": "string",
      "completedBy": "string",
      "completedAt": "string",
      "skippedReason": "string",
      "notes": "string",
      "autoCheck": {
        "autoCheckKey": "string",
        "severity": "Warning",
        "label": "string",
        "failing": true,
        "count": 0,
        "documents": [
          {
            "documentType": "Payment",
            "id": "string",
            "readableId": "string",
            "status": "string"
          }
        ]
      },
      "effectiveStatus": "Open"
    }
  ],
  "canClose": true,
  "blockingReason": "string",
  "autoTaskStates": [
    {
      "id": "string",
      "status": "Open"
    }
  ]
}

Parameters

ParameterType
"Blocker""Warning"
"Receipt""Shipment""Sales Invoice""Purchase Invoice""Payment""Credit Memo""Debit Memo""Journal Entry"
"Open""Locked""Closed"
"Blocker""Warning"
"Open""Done""Skipped"
"Auto""Action""Manual"

Input schema

schema
{
  "type": "object",
  "properties": {
    "tasks": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "accountingPeriodId": {
            "type": "string"
          },
          "definitionId": {
            "type": [
              "string",
              "null"
            ]
          },
          "name": {
            "type": "string"
          },
          "taskType": {
            "type": "string",
            "enum": [
              "Auto",
              "Action",
              "Manual"
            ]
          },
          "autoCheckKey": {
            "type": [
              "string",
              "null"
            ]
          },
          "sortOrder": {
            "type": "number"
          },
          "required": {
            "type": "boolean"
          },
          "severity": {
            "type": [
              "string",
              "null"
            ],
            "enum": [
              "Blocker",
              "Warning"
            ]
          },
          "status": {
            "type": "string",
            "enum": [
              "Open",
              "Done",
              "Skipped"
            ]
          },
          "assigneeId": {
            "type": [
              "string",
              "null"
            ]
          },
          "completedBy": {
            "type": [
              "string",
              "null"
            ]
          },
          "completedAt": {
            "type": [
              "string",
              "null"
            ]
          },
          "skippedReason": {
            "type": [
              "string",
              "null"
            ]
          },
          "notes": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "accountingPeriodId",
          "definitionId",
          "name",
          "taskType",
          "autoCheckKey",
          "sortOrder",
          "required",
          "severity",
          "status",
          "assigneeId",
          "completedBy",
          "completedAt",
          "skippedReason",
          "notes"
        ]
      }
    },
    "checks": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "autoCheckKey": {
            "type": "string"
          },
          "severity": {
            "type": "string",
            "enum": [
              "Blocker",
              "Warning"
            ]
          },
          "label": {
            "type": "string"
          },
          "failing": {
            "type": "boolean"
          },
          "count": {
            "type": "number"
          },
          "documents": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "documentType": {
                  "type": "string",
                  "enum": [
                    "Receipt",
                    "Shipment",
                    "Sales Invoice",
                    "Purchase Invoice",
                    "Payment",
                    "Credit Memo",
                    "Debit Memo",
                    "Journal Entry"
                  ]
                },
                "id": {
                  "type": "string"
                },
                "readableId": {
                  "type": "string"
                },
                "status": {
                  "type": "string"
                }
              },
              "required": [
                "documentType",
                "id",
                "readableId",
                "status"
              ]
            }
          }
        },
        "required": [
          "autoCheckKey",
          "severity",
          "label",
          "failing",
          "count"
        ]
      }
    },
    "closeStatus": {
      "type": "string",
      "enum": [
        "Open",
        "Locked",
        "Closed"
      ]
    }
  },
  "required": [
    "tasks",
    "checks",
    "closeStatus"
  ]
}